nodejs-devel-10.15.3-8.mga7.i586.rpm


Advertisement

Description

nodejs-devel - JavaScript runtime - development headers

Property Value
Distribution Mageia 7
Repository Mageia Core i586
Package filename nodejs-devel-10.15.3-8.mga7.i586.rpm
Package name nodejs-devel
Package version 10.15.3
Package release 8.mga7
Package architecture i586
Package type rpm
Category Development/Other
Homepage http://nodejs.org/
License MIT and ASL 2.0 and ISC and BSD
Maintainer -
Download size 117.27 KB
Installed size 581.28 KB
Development headers for the Node.js JavaScript runtime.

Alternatives

Package Version Architecture Repository
nodejs-devel-10.15.3-8.mga7.x86_64.rpm 10.15.3 x86_64 Mageia Core
nodejs-devel - - -

Requires

Name Value
devel(libcrypto) -
devel(libdl) -
devel(libgcc_s) -
devel(libhttp_parser) -
devel(libicudata) -
devel(libicui18n) -
devel(libicuuc) -
devel(libm) -
devel(libnghttp2) -
devel(libssl) -
devel(libstdc++) -
devel(libuv) -
devel(libz) -
http-parser-devel -
libuv-devel -
nodejs = 10.15.3-8.mga7
nodejs-packaging -
openssl-devel -
zlib-devel -

Provides

Name Value
devel(libnode) -
nodejs-devel = 10.15.3-8.mga7
nodejs-devel(x86-32) = 10.15.3-8.mga7

Download

Type URL
Mirror distrib-coffee.ipsl.jussieu.fr
Binary Package nodejs-devel-10.15.3-8.mga7.i586.rpm
Source Package nodejs-10.15.3-8.mga7.src.rpm

Install Howto

  1. Enable the repository in Software Management
  2. Install nodejs-devel rpm package:
    # dnf --refresh install nodejs-devel

Files

Path
/usr/include/node/common.gypi
/usr/include/node/config.gypi
/usr/include/node/node.h
/usr/include/node/node_api.h
/usr/include/node/node_api_types.h
/usr/include/node/node_buffer.h
/usr/include/node/node_object_wrap.h
/usr/include/node/node_version.h
/usr/include/node/v8-inspector-protocol.h
/usr/include/node/v8-inspector.h
/usr/include/node/v8-platform.h
/usr/include/node/v8-profiler.h
/usr/include/node/v8-testing.h
/usr/include/node/v8-util.h
/usr/include/node/v8-value-serializer-version.h
/usr/include/node/v8-version-string.h
/usr/include/node/v8-version.h
/usr/include/node/v8.h
/usr/include/node/v8config.h
/usr/include/node/libplatform/libplatform-export.h
/usr/include/node/libplatform/libplatform.h
/usr/include/node/libplatform/v8-tracing.h
/usr/lib/libnode.so
/usr/share/doc/nodejs/gdbinit
/usr/share/node/common.gypi

Changelog

2019-04-22 - kekepower <kekepower> 1:10.15.3-8.mga7
+ Revision: 1394850
- Revert most of the previous changes
- Fixed a typo in a Requires for zlib-devel
2019-04-22 - joequant <joequant> 1:10.15.3-6.mga7
+ Revision: 1394741
- run without bootstrap
- run bootstrap for arm
2019-04-22 - joequant <joequant> 1:10.15.3-4.mga7
+ Revision: 1394683
- build non-bootstrap with 10.15.3
2019-04-22 - joequant <joequant> 1:10.15.3-3.mga7
+ Revision: 1394644
- bootstrap
- fix up broken package
+ kekepower <kekepower>
- Bootstrap build
- Relax BR requirements for http-parser-devel
- Remove Requires for nghttp
2019-04-21 - kekepower <kekepower> 1:10.15.3-2.mga7
+ Revision: 1394478
- Update to version 10.15.3
2019-01-02 - kekepower <kekepower> 1:10.14.2-2.1.mga7
+ Revision: 1348619
- Update to version 10.14.2
2018-12-31 - tv <tv> 1:10.13.0-2.mga7
+ Revision: 1347319
- rebuild with latest icu
2018-11-10 - joequant <joequant> 1:10.13.0-1.mga7
+ Revision: 1329304
- upgrade to 10.13.0
2018-09-04 - joequant <joequant> 1:10.9.0-1.mga7
+ Revision: 1256930
- upgrade to 10.9.0
2018-09-03 - joequant <joequant> 1:8.11.4-1.mga7
+ Revision: 1256748
- use local icu rather than system icu
- rebuild with new libraries
+ tv <tv>
- rebuild for new libicu

See Also

Package Description
nodejs-diff-1.0.8-7.mga7.noarch.rpm A JavaScript text diff implementation for Node.js
nodejs-difflet-0.2.3-4.mga7.noarch.rpm Colorful diffs for JavaScript objects
nodejs-difflib-0.2.4-5.mga7.noarch.rpm Text diff library ported from Python's difflib module
nodejs-docopt-0.6.2-5.mga7.noarch.rpm A command line option parser that will make you smile
nodejs-docs-10.15.3-8.mga7.noarch.rpm Node.js API documentation
nodejs-dreamopt-0.8.0-2.mga7.noarch.rpm Command-line parser with readable syntax from your sweetest dreams
nodejs-duplexer-0.1.1-6.mga7.noarch.rpm Creates a duplex stream
nodejs-ebnf-parser-0.1.10-3.mga7.noarch.rpm A parser for BNF and EBNF grammars used by jison
nodejs-ecc-jsbn-0.2.0-3.mga7.noarch.rpm ECC JS code based on JSBN
nodejs-ejs-1.0.0-3.mga7.noarch.rpm Embedded JavaScript templates for Node.js
nodejs-emitter-1.2.1-1.mga7.noarch.rpm Event emitter for node
nodejs-emojione-2.2.6-2.mga7.noarch.rpm EmojiOne is a complete set of emojis designed for the web
nodejs-emojione-android-2.2.6-2.mga7.noarch.rpm EmojiOne utility for Android
nodejs-emojione-awesome-2.2.6-2.mga7.noarch.rpm Emojione awesome
nodejs-emojione-ios-2.2.6-2.mga7.noarch.rpm EmojiOne utility for iOS
Advertisement
Advertisement